
%function  C2p29_PSET1_1p11
%%
% ********************************************************************
% Course Homework
%               2.29: Numerical Fluid Mechanincs, Spring 2007
% Problem Set #1, Problem #1, Textbook Problem 1.11
% 02/12/07
% ********************************************************************
% Reza Karimi:
%                            Graduate Student
%                    Mechanical Engineering Department
%                  Massachusetts Institute of Technology
% Email:  rkarimi@mit.edu
% Office: NE47-319, 500 Technology Square, Cambridge, MA 02139
% Phone: (617) 324-7605
% ********************************************************************



%% Numerical Values
close all,clear all,clc

g=9.8;R=6.37e6;
x0=0;v0=1400;x_step=10000;x_max=100000;

%% Exact Solution
X=[x0:x_step:x_max];
V=(v0^2-2*g*R*X./(R+X)).^.5;

V_E(1)=v0;
%% Euler's Solution
for k=2:length(X)
    V_E(k)=V_E(k-1)+x_step*(-g/V(k-1)*R^2/(X(k-1)+R)^2);
end

%clabel(C,h)
plot(X,V,'b--',X,V_E,'r-.*')
box on
legend('Analytical Solution','Euler Solution')
box on, grid on
FN_Size_A=16;
FN_Size_T=14;
set(gca,'fontsize',14)
xlabel('$x (m)$','Interpreter','latex','fontsize',FN_Size_A,...
    'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
ylabel('V ($\frac{m}{s})$','Interpreter','latex','fontsize',FN_Size_A,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
title (['Problem 1.11 of Textbook'],'Interpreter','latex',...
    'fontsize',FN_Size_T,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')

%legend('\sigma_{rr}','\sigma_{\theta\theta}','\sigma_{Mises}','Location','Southwest')
set(gcf,'PaperType','usLetter','PaperOrientation','portrait','PaperUnits','Centimeters','PaperPosition',[1 1 20 18])
set(gcf,'Position',[50 50 [20 18]*40],'color','w')
saveas(gcf,'PSET_1_3.jpg')
