
%function  C2p29_PSET1_3
%%
% ********************************************************************
% Course Homework
%               2.29: Numerical Fluid Mechanincs, Spring 2007
% Problem Set #1, Problem #3
% 02/12/07
% ********************************************************************
% Reza Karimi:
%                            Graduate Student
%                    Mechanical Engineering Department
%                  Massachusetts Institute of Technology
% Email:  rkarimi@mit.edu
% Office: NE47-319, 500 Technology Square, Cambridge, MA 02139
% Phone: (617) 324-7605
% ********************************************************************



%%
close all,clear all,clc
format short

R=1;
U=1;
Ro=1;

[r,theta]=meshgrid(R*[1:.10:3],pi*[-1:.05:1]);

Vr= U*cos(theta).*(1-   R^3./r.^3);
Vt=-U*sin(theta).*(1+.5*R^3./r.^3);

% x,y of plot axis correspond to -z, x of equations

P=.5*Ro*U^2*(1-Vr.^2-Vt.^2);
X= -r.*cos(theta);
Y=  r.*sin(theta);

Vx=-Vr.*cos(theta)+Vt.*sin(theta);
Vy= Vr.*sin(theta)+Vt.*cos(theta);

[C,h]=contourf(-X,Y,P,15);
%clabel(C,h)
colorbar
hold on
quiver(-X,Y,-Vx,Vy);

set(gca,'Xdir','reverse')
axis square
axis([-3 3 -3 3])
box on

hold on, box on, grid on
FN_Size_A=16;
FN_Size_T=14;
set(gca,'fontsize',14)
xlabel('$\frac{z}{R}$','Interpreter','latex','fontsize',FN_Size_A,...
    'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
ylabel('$\frac{x}{R}$','Interpreter','latex','fontsize',FN_Size_A,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
title (['Inviscid Flow Passing an Sphere: Velocity Field and Normalized Pressure Contours ' '($\frac{P}{\rho U^2}$)'],'Interpreter','latex',...
    'fontsize',FN_Size_T,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')

%legend('\sigma_{rr}','\sigma_{\theta\theta}','\sigma_{Mises}','Location','Southwest')
set(gcf,'PaperType','usLetter','PaperOrientation','portrait','PaperUnits','Centimeters','PaperPosition',[1 1 20 18])
set(gcf,'Position',[50 50 [20 18]*40],'color','w')
saveas(gcf,'PSET_1_3.jpg')
